﻿--[Section to remove in merged SQL]
USE [Oasys]
GO
SET ANSI_WARNINGS ON
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--~[Section to remove in merged SQL]

IF NOT EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[CashBalTill]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
PRINT 'Creating table CashBalTill'
CREATE TABLE [dbo].[CashBalTill](
	[PeriodID] [int] NOT NULL,
	[CurrencyID] [char](3) NOT NULL,
	[TillID] [int] NOT NULL,
	[GrossSalesAmount] [decimal](8, 2) NOT NULL,
	[DiscountAmount] [decimal](8, 2) NOT NULL,
	[SalesCount] [decimal](4, 0) NOT NULL,
	[SalesAmount] [decimal](8, 2) NOT NULL,
	[SalesCorrectCount] [decimal](4, 0) NOT NULL,
	[SalesCorrectAmount] [decimal](8, 2) NOT NULL,
	[RefundCount] [decimal](4, 0) NOT NULL,
	[RefundAmount] [decimal](8, 2) NOT NULL,
	[RefundCorrectCount] [decimal](4, 0) NOT NULL,
	[RefundCorrectAmount] [decimal](8, 2) NOT NULL,
	[FloatIssued] [decimal](8, 2) NOT NULL,
	[FloatReturned] [decimal](8, 2) NOT NULL,
	[MiscIncomeCount01] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount02] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount03] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount04] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount05] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount06] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount07] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount08] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount09] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount10] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount11] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount12] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount13] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount14] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount15] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount16] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount17] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount18] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount19] [decimal](4, 0) NOT NULL,
	[MiscIncomeCount20] [decimal](4, 0) NOT NULL,
	[MiscIncomeValue01] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue02] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue03] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue04] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue05] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue06] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue07] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue08] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue09] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue10] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue11] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue12] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue13] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue14] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue15] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue16] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue17] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue18] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue19] [decimal](8, 2) NOT NULL,
	[MiscIncomeValue20] [decimal](8, 2) NOT NULL,
	[MisOutCount01] [decimal](4, 0) NOT NULL,
	[MisOutCount02] [decimal](4, 0) NOT NULL,
	[MisOutCount03] [decimal](4, 0) NOT NULL,
	[MisOutCount04] [decimal](4, 0) NOT NULL,
	[MisOutCount05] [decimal](4, 0) NOT NULL,
	[MisOutCount06] [decimal](4, 0) NOT NULL,
	[MisOutCount07] [decimal](4, 0) NOT NULL,
	[MisOutCount08] [decimal](4, 0) NOT NULL,
	[MisOutCount09] [decimal](4, 0) NOT NULL,
	[MisOutCount10] [decimal](4, 0) NOT NULL,
	[MisOutCount11] [decimal](4, 0) NOT NULL,
	[MisOutCount12] [decimal](4, 0) NOT NULL,
	[MisOutCount13] [decimal](4, 0) NOT NULL,
	[MisOutCount14] [decimal](4, 0) NOT NULL,
	[MisOutCount15] [decimal](4, 0) NOT NULL,
	[MisOutCount16] [decimal](4, 0) NOT NULL,
	[MisOutCount17] [decimal](4, 0) NOT NULL,
	[MisOutCount18] [decimal](4, 0) NOT NULL,
	[MisOutCount19] [decimal](4, 0) NOT NULL,
	[MisOutCount20] [decimal](4, 0) NOT NULL,
	[MisOutValue01] [decimal](8, 2) NOT NULL,
	[MisOutValue02] [decimal](8, 2) NOT NULL,
	[MisOutValue03] [decimal](8, 2) NOT NULL,
	[MisOutValue04] [decimal](8, 2) NOT NULL,
	[MisOutValue05] [decimal](8, 2) NOT NULL,
	[MisOutValue06] [decimal](8, 2) NOT NULL,
	[MisOutValue07] [decimal](8, 2) NOT NULL,
	[MisOutValue08] [decimal](8, 2) NOT NULL,
	[MisOutValue09] [decimal](8, 2) NOT NULL,
	[MisOutValue10] [decimal](8, 2) NOT NULL,
	[MisOutValue11] [decimal](8, 2) NOT NULL,
	[MisOutValue12] [decimal](8, 2) NOT NULL,
	[MisOutValue13] [decimal](8, 2) NOT NULL,
	[MisOutValue14] [decimal](8, 2) NOT NULL,
	[MisOutValue15] [decimal](8, 2) NOT NULL,
	[MisOutValue16] [decimal](8, 2) NOT NULL,
	[MisOutValue17] [decimal](8, 2) NOT NULL,
	[MisOutValue18] [decimal](8, 2) NOT NULL,
	[MisOutValue19] [decimal](8, 2) NOT NULL,
	[MisOutValue20] [decimal](8, 2) NOT NULL,
	[ExchangeRate] [decimal](7, 5) NOT NULL,
	[ExchangePower] [decimal](3, 0) NOT NULL,
	[NumTransactions] [int] NOT NULL,
	[NumCorrections] [int] NOT NULL,
	[NumVoids] [int] NOT NULL,
	[NumOpenDrawer] [int] NOT NULL,
	[NumLinesReversed] [int] NOT NULL,
	[NumLinesSold] [int] NOT NULL,
	[NumLinesScanned] [int] NOT NULL,
 CONSTRAINT [PK_CashBalTill] PRIMARY KEY CLUSTERED 
(
	[PeriodID] ASC,
	[CurrencyID] ASC,
	[TillID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'C A S H B A L T I L L= Cash Balancing Till' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CashBalTill'
END
GO

